| Home | Libraries | People | FAQ | More

# http::server::request Struct Reference

List of all members.

## Detailed Description

A request received from a client.

Definition at line 12 of file request.hpp.

## Public Attributes

std::string | method
std::string | uri
int | http_version_major
int | http_version_minor
std::vector< header > | headers

## Member Data Documentation

std::string http::server::request::method

Definition at line 14 of file request.hpp.

Referenced by http::server::request_parser::consume().

std::string http::server::request::uri

Definition at line 15 of file request.hpp.

Referenced by http::server::request_parser::consume(), and http::server::request_handler::handle_request().

int http::server::request::http_version_major

Definition at line 16 of file request.hpp.

Referenced by http::server::request_parser::consume().

int http::server::request::http_version_minor

Definition at line 17 of file request.hpp.

Referenced by http::server::request_parser::consume().

std::vector<header> http::server::request::headers

Definition at line 18 of file request.hpp.

Referenced by http::server::request_parser::consume().

The documentation for this struct was generated from the following file:

- http/server/request.hpp

| Copyright © 2003 - 2006 Christopher M. Kohlhoff